gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: check twister res


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: check twister resatrted correctly
Date: Fri, 07 Jun 2019 15:35:35 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 905c15c  check twister resatrted correctly
905c15c is described below

commit 905c15c711a13453da634ba7395db4a7b9b16bb1
Author: Marcello Stanisci <address@hidden>
AuthorDate: Fri Jun 7 15:35:08 2019 +0200

    check twister resatrted correctly
---
 buildbot/checks.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index 0db64a7..7949da5 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -122,4 +122,21 @@ if ! test 200 = $http_status_code; then
   exit 1
 fi
 
+
+if test "test" = ${DEPLOYMENT}; then
+  URL="https://twister-backend.wild.gv.taler.net";
+  http_status_code=$(curl \
+    -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
+    -s $URL -o /dev/null \
+    -w "%{http_code}")
+  if ! test 200 = $http_status_code; then
+    printf "%s failed\n" $URL
+    printf "$error_fmt" \
+      "Twister did not restart correctly"
+       $http_status_code $? "$(error_stringify $?)"
+    exit 1
+  fi
+fi
+
+
 printf "All services correctly restarted!\n"

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]